Subject: bug#56537: closed (Re: bug#56537: sushi: build failure, bad URI)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 13 Jul 2022 12:47:02 +0000

Your bug report

#56537: sushi: build failure, bad URI

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56537: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56537
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56537: sushi: build failure, bad URI
From: Maxim Cournoyer <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Jul 2022 08:45:55 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Christopher,

Christopher Howard <[email-masked]> writes:

> Hello, I am trying to do a system reconfigure to update my system, but eventually gnome dependency "sushi" tries to build and fails. I believe the problem is that Guix is trying to download https://download.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz but the path is actually https://download.gnome.org/sources/sushi/42/sushi-42.0.tar.xz.

Indeed.  Fixed with this:

--8<---------------cut here---------------start------------->8---
modified   gnu/packages/gnome.scm
@@ -1588,7 +1588,7 @@ (define-public sushi
     (source (origin
               (method url-fetch)
               (uri (string-append "mirror://gnome/sources/" name "/"
-                                  (version-major+minor version) "/"
+                                  (version-major version) "/"
                                   name "-" version ".tar.xz"))
               (sha256
                (base32
--8<---------------cut here---------------end--------------->8---

Pushed to master as 6d5b3df7afefa6b038c8430ae3e1650af986ad1e.

Sorry for the breakage, and thank you for reporting it!

Maxim

Subject: sushi: build failure, bad URI
From: Christopher Howard <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Wed, 13 Jul 2022 04:30:22 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, I am trying to do a system reconfigure to update my system, but eventually gnome dependency "sushi" tries to build and fails. I believe the problem is that Guix is trying to download https://download.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz but the path is actually https://download.gnome.org/sources/sushi/42/sushi-42.0.tar.xz.

Here is information on my system:

```
christopher@nightshade ~$ guix describe
Generation 13	Jul 12 2022 19:55:42	(current)
  guix c8f3240
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: c8f32406e8778c803eddeefe0f510733a9018e67

christopher@nightshade 
---------------------- 
OS: Guix System 0 x86_64 
Host: GA-880GM-UD2H 
Kernel: 5.15.5-gnu 
Uptime: 3 days, 19 hours, 6 mins 
Packages: 63 (guix-system), 141 (guix-user) 
Shell: bash 5.0.16 
Resolution: 1920x1200 
DE: GNOME 3.34.5 
Theme: Adwaita [GTK2/3] 
Icons: Adwaita [GTK2/3] 
Terminal: .gnome-terminal 
CPU: AMD Athlon II X3 455 (3) @ 3.300GHz 
GPU: NVIDIA Quadro 2000 
Memory: 1289MiB / 7957MiB 
```

Here is the build failure:

```
Starting download of /gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz
>From https://download.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz...
download failed "https://download.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz" 404 "Not Found"

Starting download of /gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz
>From http://ftp.gnome.org/pub/GNOME/sources/sushi/42.0/sushi-42.0.tar.xz...
following redirection to `https://ftp.gnome.org/pub/GNOME/sources/sushi/42.0/sushi-42.0.tar.xz'...
following redirection to `https://download.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz'...
download failed "https://download.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz" 404 "Not Found"

Starting download of /gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz
>From http://mirror.yandex.ru/mirrors/ftp.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz...
download failed "http://mirror.yandex.ru/mirrors/ftp.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz" 404 "Not Found"

Starting download of /gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz
>From https://ci.guix.gnu.org/file/sushi-42.0.tar.xz/sha256/0848gidl0ab8i5pa70mv8jzchmd9kqa8sn1lg977hyasyixdpn25...
download failed "https://ci.guix.gnu.org/file/sushi-42.0.tar.xz/sha256/0848gidl0ab8i5pa70mv8jzchmd9kqa8sn1lg977hyasyixdpn25" 404 "Not Found"

Starting download of /gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz
>From https://tarballs.nixos.org/sha256/0848gidl0ab8i5pa70mv8jzchmd9kqa8sn1lg977hyasyixdpn25...
download failed "https://tarballs.nixos.org/sha256/0848gidl0ab8i5pa70mv8jzchmd9kqa8sn1lg977hyasyixdpn25" 404 "Not Found"

Starting download of /gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz
>From https://archive.softwareheritage.org/api/1/content/sha256:45d8db7af45a79784e7a34588d149ea955c8be44bb82a36e896829405b7c8820/raw/...
download failed "https://archive.softwareheritage.org/api/1/content/sha256:45d8db7af45a79784e7a34588d149ea955c8be44bb82a36e896829405b7c8820/raw/" 404 "Not Found"

Starting download of /gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz
>From https://web.archive.org/web/20220713041859/https://download.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz...
download failed "https://web.archive.org/web/20220713041859/https://download.gnome.org/sources/sushi/42.0/sushi-42.0.tar.xz" 404 "NOT FOUND"
Trying to use Disarchive to assemble /gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz...
download failed "https://disarchive.guix.gnu.org/sha256/45d8db7af45a79784e7a34588d149ea955c8be44bb82a36e896829405b7c8820" 404 "Not Found"
download failed "https://disarchive.ngyro.com/sha256/45d8db7af45a79784e7a34588d149ea955c8be44bb82a36e896829405b7c8820" 404 "Not Found"
could not find its Disarchive specification
failed to download "/gnu/store/1pdl4ibgskpqbqca7kxhf8xqw9150dq3-sushi-42.0.tar.xz" from "mirror://gnome/sources/sushi/42.0/sushi-42.0.tar.xz"
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 https://portal.mozz.us/gemini/gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ